<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAlurPendaftaransTable extends Migration
{
    public function up()
    {
        Schema::create('alur_pendaftarans', function (Blueprint $table) {
            $table->id();
            $table->foreignId('campus_id')->constrained('campuses')->onDelete('cascade');
            $table->string('title');
            $table->boolean('is_active')->default(true); // Menambahkan status aktif/non-aktif
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('alur_pendaftarans');
    }
}
